summaryrefslogtreecommitdiff
path: root/loop
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
commit5eb0dbf136a9ad582192e003b7573a080514f063 (patch)
tree84d3a44749b1b2db50b39504ab7690a15b699e8d /loop
init from config_local_arch personal shell scripts
git log history see https://git.flylightning.xyz/config_local_arch/tree/home/xyz/.local/bin?id=d266c511cffb7eeb20bf1e4610d9d32557b7d0e6
Diffstat (limited to 'loop')
-rwxr-xr-xloop15
1 files changed, 15 insertions, 0 deletions
diff --git a/loop b/loop
new file mode 100755
index 0000000..6a57826
--- /dev/null
+++ b/loop
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+while getopts t: opt; do
+ case $opt in
+ t) time="$OPTARG";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+while :; do
+ # suggested by https://github.com/koalaman/shellcheck/wiki/SC2294
+ "$@"
+ sleep "${time:-1}"
+done